gi-vte-2.91.19: Vte bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Vte.Structs.CharAttributes

Contents

- Exported types

Description

No description available in the introspection data.

Synopsis

- newtype CharAttributes = CharAttributes (ManagedPtr CharAttributes)
- newZeroCharAttributes :: MonadIO m => m CharAttributes
- noCharAttributes :: Maybe CharAttributes

# Exported types

newtype CharAttributes Source #

Memory-managed wrapper type.

Constructors

CharAttributes (ManagedPtr CharAttributes) |

Instances

WrappedPtr CharAttributes Source # |
Instance details Defined in GI.Vte.Structs.CharAttributes Methods wrappedPtrCalloc :: IO (Ptr CharAttributes) Source # wrappedPtrCopy :: CharAttributes -> IO CharAttributes Source # wrappedPtrFree :: Maybe (FunPtr (Ptr CharAttributes -> IO ())) Source #
tag ~ AttrSet => Constructible CharAttributes tag Source # |
Instance details Defined in GI.Vte.Structs.CharAttributes Methods new :: MonadIO m => (ManagedPtr CharAttributes -> CharAttributes) -> [AttrOp CharAttributes tag] -> m CharAttributes Source #

newZeroCharAttributes :: MonadIO m => m CharAttributes Source #

Construct a `CharAttributes` struct initialized to zero.

noCharAttributes :: Maybe CharAttributes Source #

A convenience alias for `Nothing` :: `Maybe` `CharAttributes`.